package space;

import javax.media.opengl.GL;

import devUtil.Vector3;

import world.GameWorld;

public class World extends GameWorld {
	
	public World(GL gl) {
		super(gl);
	}
	
	protected void addGameObjects(GL gl) {
		
		objects.add(new GameMaster());
		
		objects.add(new GameLight(0));
		((GameLight) objects.get(1)).setPosition(0, 1000, 0);
		
		objects.add(new Player());
		
		//earth
		
		Planet earth = new Planet("/visual/Textures/Earth.jpg",
				new Vector3(0, 0, -1000), 500, "Level, Home");
		
		objects.add(earth);
		
		// frozia
		
		Planet frozia = new Planet("/visual/Textures/Icy Planet.png",
				new Vector3(0, 0, 1000), 500, "Level, Colro");
		
		objects.add(frozia);
		
		// fluff
		
//		Planet fluff = new Planet("/visual/Textures/Snow.jpg",
//				new Vector3(0, -1000, 0), 500, "Level, Icarus");
//		
//		objects.add(fluff);
		
		// Zoma
		
		Planet zoma = new Planet("/visual/Textures/Jupiter.jpg",
				new Vector3(0, 1000, 0), 500, "Level, Coolbot");
		
		objects.add(zoma);
		
		// Climah
		
		Planet climah = new Planet("/visual/Textures/Rainbow Light.jpg",
				new Vector3(0, -1000, 0), 500, "Level, Finale");
		
		objects.add(climah);
	}
}